<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Serialized Form (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.crawl</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.crawl.CrawlDbReader.JsonIndenter">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/crawl/CrawlDbReader.JsonIndenter.html" title="class in org.apache.nutch.crawl">org.apache.nutch.crawl.CrawlDbReader.JsonIndenter</a> extends com.fasterxml.jackson.core.util.MinimalPrettyPrinter implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.fetcher</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.fetcher.FetcherThreadEvent">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/fetcher/FetcherThreadEvent.html" title="class in org.apache.nutch.fetcher">org.apache.nutch.fetcher.FetcherThreadEvent</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>eventType</h4>
<pre><a href="org/apache/nutch/fetcher/FetcherThreadEvent.PublishEventType.html" title="enum in org.apache.nutch.fetcher">FetcherThreadEvent.PublishEventType</a> eventType</pre>
</li>
<li class="blockList">
<h4>eventData</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; eventData</pre>
</li>
<li class="blockList">
<h4>url</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> url</pre>
</li>
<li class="blockListLast">
<h4>timestamp</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a> timestamp</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.indexer</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.indexer.IndexingException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/indexer/IndexingException.html" title="class in org.apache.nutch.indexer">org.apache.nutch.indexer.IndexingException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.IndexWriterParams">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer">org.apache.nutch.indexer.IndexWriterParams</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/util/HashMap.html?is-external=true" title="class or interface in java.util">HashMap</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.net</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.net.URLFilterException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/net/URLFilterException.html" title="class in org.apache.nutch.net">org.apache.nutch.net.URLFilterException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.net.protocols</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.net.protocols.ProtocolException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/net/protocols/ProtocolException.html" title="class in org.apache.nutch.net.protocols">org.apache.nutch.net.protocols.ProtocolException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.parse</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.parse.ParseException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/parse/ParseException.html" title="class in org.apache.nutch.parse">org.apache.nutch.parse.ParseException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.parse.ParserNotFound">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/parse/ParserNotFound.html" title="class in org.apache.nutch.parse">org.apache.nutch.parse.ParserNotFound</a> extends <a href="org/apache/nutch/parse/ParseException.html" title="class in org.apache.nutch.parse">ParseException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>23993993939L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>url</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> url</pre>
</li>
<li class="blockListLast">
<h4>contentType</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> contentType</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.plugin</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.plugin.CircularDependencyException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/plugin/CircularDependencyException.html" title="class in org.apache.nutch.plugin">org.apache.nutch.plugin.CircularDependencyException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
</li>
<li class="blockList"><a name="org.apache.nutch.plugin.MissingDependencyException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/plugin/MissingDependencyException.html" title="class in org.apache.nutch.plugin">org.apache.nutch.plugin.MissingDependencyException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
</li>
<li class="blockList"><a name="org.apache.nutch.plugin.PluginRuntimeException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/plugin/PluginRuntimeException.html" title="class in org.apache.nutch.plugin">org.apache.nutch.plugin.PluginRuntimeException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.protocol</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.protocol.ProtocolException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">org.apache.nutch.protocol.ProtocolException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ProtocolNotFound">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ProtocolNotFound.html" title="class in org.apache.nutch.protocol">org.apache.nutch.protocol.ProtocolNotFound</a> extends <a href="org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>url</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> url</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.protocol.file</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.protocol.file.FileError">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/file/FileError.html" title="class in org.apache.nutch.protocol.file">org.apache.nutch.protocol.file.FileError</a> extends <a href="org/apache/nutch/protocol/file/FileException.html" title="class in org.apache.nutch.protocol.file">FileException</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>code</h4>
<pre>int code</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.file.FileException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/file/FileException.html" title="class in org.apache.nutch.protocol.file">org.apache.nutch.protocol.file.FileException</a> extends <a href="org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.protocol.ftp</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.protocol.ftp.FtpError">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ftp/FtpError.html" title="class in org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp.FtpError</a> extends <a href="org/apache/nutch/protocol/ftp/FtpException.html" title="class in org.apache.nutch.protocol.ftp">FtpException</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>code</h4>
<pre>int code</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ftp.FtpException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ftp/FtpException.html" title="class in org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp.FtpException</a> extends <a href="org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ftp.FtpExceptionBadSystResponse">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ftp/FtpExceptionBadSystResponse.html" title="class in org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp.FtpExceptionBadSystResponse</a> extends <a href="org/apache/nutch/protocol/ftp/FtpException.html" title="class in org.apache.nutch.protocol.ftp">FtpException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ftp.FtpExceptionCanNotHaveDataConnection">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ftp/FtpExceptionCanNotHaveDataConnection.html" title="class in org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp.FtpExceptionCanNotHaveDataConnection</a> extends <a href="org/apache/nutch/protocol/ftp/FtpException.html" title="class in org.apache.nutch.protocol.ftp">FtpException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ftp.FtpExceptionControlClosedByForcedDataClose">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ftp/FtpExceptionControlClosedByForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp.FtpExceptionControlClosedByForcedDataClose</a> extends <a href="org/apache/nutch/protocol/ftp/FtpException.html" title="class in org.apache.nutch.protocol.ftp">FtpException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ftp.FtpExceptionUnknownForcedDataClose">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/ftp/FtpExceptionUnknownForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp.FtpExceptionUnknownForcedDataClose</a> extends <a href="org/apache/nutch/protocol/ftp/FtpException.html" title="class in org.apache.nutch.protocol.ftp">FtpException</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.protocol.http.api</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.protocol.http.api.BlockedException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/http/api/BlockedException.html" title="class in org.apache.nutch.protocol.http.api">org.apache.nutch.protocol.http.api.BlockedException</a> extends <a href="org/apache/nutch/protocol/http/api/HttpException.html" title="class in org.apache.nutch.protocol.http.api">HttpException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.http.api.HttpException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/http/api/HttpException.html" title="class in org.apache.nutch.protocol.http.api">org.apache.nutch.protocol.http.api.HttpException</a> extends <a href="org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.protocol.httpclient</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.protocol.httpclient.HttpAuthenticationException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/protocol/httpclient/HttpAuthenticationException.html" title="class in org.apache.nutch.protocol.httpclient">org.apache.nutch.protocol.httpclient.HttpAuthenticationException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.scoring</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.scoring.ScoringFilterException">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">org.apache.nutch.scoring.ScoringFilterException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.service.model.request</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.service.model.request.SeedList">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/service/model/request/SeedList.html" title="class in org.apache.nutch.service.model.request">org.apache.nutch.service.model.request.SeedList</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a> id</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>seedFilePath</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> seedFilePath</pre>
</li>
<li class="blockListLast">
<h4>seedUrls</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">E</a>&gt; seedUrls</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.service.model.request.SeedUrl">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/service/model/request/SeedUrl.html" title="class in org.apache.nutch.service.model.request">org.apache.nutch.service.model.request.SeedUrl</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a> id</pre>
</li>
<li class="blockList">
<h4>seedList</h4>
<pre><a href="org/apache/nutch/service/model/request/SeedList.html" title="class in org.apache.nutch.service.model.request">SeedList</a> seedList</pre>
</li>
<li class="blockListLast">
<h4>url</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> url</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.tools</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.tools.CommonCrawlConfig">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/tools/CommonCrawlConfig.html" title="class in org.apache.nutch.tools">org.apache.nutch.tools.CommonCrawlConfig</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5235013733207799661L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>keyPrefix</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> keyPrefix</pre>
</li>
<li class="blockList">
<h4>simpleDateFormat</h4>
<pre>boolean simpleDateFormat</pre>
</li>
<li class="blockList">
<h4>jsonArray</h4>
<pre>boolean jsonArray</pre>
</li>
<li class="blockList">
<h4>reverseKey</h4>
<pre>boolean reverseKey</pre>
</li>
<li class="blockList">
<h4>reverseKeyValue</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> reverseKeyValue</pre>
</li>
<li class="blockList">
<h4>compressed</h4>
<pre>boolean compressed</pre>
</li>
<li class="blockList">
<h4>warcSize</h4>
<pre>long warcSize</pre>
</li>
<li class="blockListLast">
<h4>outputDir</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> outputDir</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.client.impl</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.client.impl.RemoteCommand">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/client/impl/RemoteCommand.html" title="class in org.apache.nutch.webui.client.impl">org.apache.nutch.webui.client.impl.RemoteCommand</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>jobConfig</h4>
<pre><a href="org/apache/nutch/webui/client/model/JobConfig.html" title="class in org.apache.nutch.webui.client.model">JobConfig</a> jobConfig</pre>
</li>
<li class="blockList">
<h4>jobInfo</h4>
<pre><a href="org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a> jobInfo</pre>
</li>
<li class="blockListLast">
<h4>timeout</h4>
<pre>org.joda.time.Duration timeout</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.client.model</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.client.model.Crawl">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">org.apache.nutch.webui.client.model.Crawl</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a> id</pre>
</li>
<li class="blockList">
<h4>crawlId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> crawlId</pre>
</li>
<li class="blockList">
<h4>crawlName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> crawlName</pre>
</li>
<li class="blockList">
<h4>status</h4>
<pre><a href="org/apache/nutch/webui/client/model/Crawl.CrawlStatus.html" title="enum in org.apache.nutch.webui.client.model">Crawl.CrawlStatus</a> status</pre>
</li>
<li class="blockList">
<h4>numberOfRounds</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a> numberOfRounds</pre>
</li>
<li class="blockList">
<h4>seedList</h4>
<pre><a href="org/apache/nutch/webui/model/SeedList.html" title="class in org.apache.nutch.webui.model">SeedList</a> seedList</pre>
</li>
<li class="blockList">
<h4>seedDirectory</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> seedDirectory</pre>
</li>
<li class="blockListLast">
<h4>progress</h4>
<pre>int progress</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.client.model.JobConfig">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/client/model/JobConfig.html" title="class in org.apache.nutch.webui.client.model">org.apache.nutch.webui.client.model.JobConfig</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>crawlId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> crawlId</pre>
</li>
<li class="blockList">
<h4>type</h4>
<pre><a href="org/apache/nutch/webui/client/model/JobInfo.JobType.html" title="enum in org.apache.nutch.webui.client.model">JobInfo.JobType</a> type</pre>
</li>
<li class="blockList">
<h4>confId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> confId</pre>
</li>
<li class="blockList">
<h4>jobClassName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> jobClassName</pre>
</li>
<li class="blockListLast">
<h4>args</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; args</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.client.model.JobInfo">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">org.apache.nutch.webui.client.model.JobInfo</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockList">
<h4>type</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> type</pre>
</li>
<li class="blockList">
<h4>confId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> confId</pre>
</li>
<li class="blockList">
<h4>args</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; args</pre>
</li>
<li class="blockList">
<h4>result</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; result</pre>
</li>
<li class="blockList">
<h4>state</h4>
<pre><a href="org/apache/nutch/webui/client/model/JobInfo.State.html" title="enum in org.apache.nutch.webui.client.model">JobInfo.State</a> state</pre>
</li>
<li class="blockList">
<h4>msg</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> msg</pre>
</li>
<li class="blockListLast">
<h4>crawlId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> crawlId</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.client.model.NutchStatus">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/client/model/NutchStatus.html" title="class in org.apache.nutch.webui.client.model">org.apache.nutch.webui.client.model.NutchStatus</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>startDate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a> startDate</pre>
</li>
<li class="blockList">
<h4>configuration</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">E</a>&gt; configuration</pre>
</li>
<li class="blockList">
<h4>jobs</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">E</a>&gt; jobs</pre>
</li>
<li class="blockListLast">
<h4>runningJobs</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">E</a>&gt; runningJobs</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.model</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.model.NutchConfig">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/model/NutchConfig.html" title="class in org.apache.nutch.webui.model">org.apache.nutch.webui.model.NutchConfig</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockListLast">
<h4>value</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> value</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.model.NutchInstance">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">org.apache.nutch.webui.model.NutchInstance</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a> id</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>host</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> host</pre>
</li>
<li class="blockList">
<h4>port</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a> port</pre>
</li>
<li class="blockList">
<h4>username</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> username</pre>
</li>
<li class="blockList">
<h4>password</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> password</pre>
</li>
<li class="blockListLast">
<h4>connectionStatus</h4>
<pre><a href="org/apache/nutch/webui/client/model/ConnectionStatus.html" title="enum in org.apache.nutch.webui.client.model">ConnectionStatus</a> connectionStatus</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.model.SeedList">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/model/SeedList.html" title="class in org.apache.nutch.webui.model">org.apache.nutch.webui.model.SeedList</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a> id</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockListLast">
<h4>seedUrls</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">E</a>&gt; seedUrls</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.model.SeedUrl">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/model/SeedUrl.html" title="class in org.apache.nutch.webui.model">org.apache.nutch.webui.model.SeedUrl</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a> id</pre>
</li>
<li class="blockList">
<h4>seedList</h4>
<pre><a href="org/apache/nutch/webui/model/SeedList.html" title="class in org.apache.nutch.webui.model">SeedList</a> seedList</pre>
</li>
<li class="blockListLast">
<h4>url</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> url</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.AbstractBasePage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.AbstractBasePage</a> extends org.apache.wicket.markup.html.GenericWebPage&lt;<a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="type parameter in AbstractBasePage">T</a>&gt; implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>service</h4>
<pre><a href="org/apache/nutch/webui/service/NutchService.html" title="interface in org.apache.nutch.webui.service">NutchService</a> service</pre>
</li>
<li class="blockList">
<h4>instanceService</h4>
<pre><a href="org/apache/nutch/webui/service/NutchInstanceService.html" title="interface in org.apache.nutch.webui.service">NutchInstanceService</a> instanceService</pre>
</li>
<li class="blockList">
<h4>navbar</h4>
<pre><a href="org/apache/nutch/webui/pages/menu/VerticalMenu.html" title="class in org.apache.nutch.webui.pages.menu">VerticalMenu</a> navbar</pre>
</li>
<li class="blockListLast">
<h4>currentInstance</h4>
<pre>org.apache.wicket.model.IModel&lt;T&gt; currentInstance</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.DashboardPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/DashboardPage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.DashboardPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt; implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>nutchService</h4>
<pre><a href="org/apache/nutch/webui/service/NutchService.html" title="interface in org.apache.nutch.webui.service">NutchService</a> nutchService</pre>
</li>
<li class="blockListLast">
<h4>panel</h4>
<pre>org.apache.wicket.markup.html.WebMarkupContainer panel</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.LogOutPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/LogOutPage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.LogOutPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.SchedulingPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/SchedulingPage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.SchedulingPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.SearchPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/SearchPage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.SearchPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.StatisticsPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/StatisticsPage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.StatisticsPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.UrlsUploadPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/UrlsUploadPage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.UrlsUploadPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.UserSettingsPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/UserSettingsPage.html" title="class in org.apache.nutch.webui.pages">org.apache.nutch.webui.pages.UserSettingsPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages.assets</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.assets.NutchUiCssReference">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/assets/NutchUiCssReference.html" title="class in org.apache.nutch.webui.pages.assets">org.apache.nutch.webui.pages.assets.NutchUiCssReference</a> extends org.apache.wicket.request.resource.CssResourceReference implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages.components</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.components.ColorEnumLabel">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/components/ColorEnumLabel.html" title="class in org.apache.nutch.webui.pages.components">org.apache.nutch.webui.pages.components.ColorEnumLabel</a> extends org.apache.wicket.markup.html.basic.EnumLabel&lt;<a href="org/apache/nutch/webui/pages/components/ColorEnumLabel.html" title="type parameter in ColorEnumLabel">E</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="org/apache/nutch/webui/pages/components/ColorEnumLabel.html" title="type parameter in ColorEnumLabel">E</a>&gt;&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>labelTypeMap</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; labelTypeMap</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages.crawls</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.crawls.CrawlPanel">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/crawls/CrawlPanel.html" title="class in org.apache.nutch.webui.pages.crawls">org.apache.nutch.webui.pages.crawls.CrawlPanel</a> extends de.agilecoders.wicket.core.markup.html.bootstrap.dialog.Modal implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>form</h4>
<pre>de.agilecoders.wicket.core.markup.html.bootstrap.form.BootstrapForm&lt;T&gt; form</pre>
</li>
<li class="blockList">
<h4>crawlService</h4>
<pre><a href="org/apache/nutch/webui/service/CrawlService.html" title="interface in org.apache.nutch.webui.service">CrawlService</a> crawlService</pre>
</li>
<li class="blockList">
<h4>seedListService</h4>
<pre><a href="org/apache/nutch/webui/service/SeedListService.html" title="interface in org.apache.nutch.webui.service">SeedListService</a> seedListService</pre>
</li>
<li class="blockListLast">
<h4>notificationPanel</h4>
<pre>de.agilecoders.wicket.core.markup.html.bootstrap.common.NotificationPanel notificationPanel</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.crawls.CrawlsPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/crawls/CrawlsPage.html" title="class in org.apache.nutch.webui.pages.crawls">org.apache.nutch.webui.pages.crawls.CrawlsPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html?is-external=true" title="class or interface in java.lang">Void</a>&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>crawlService</h4>
<pre><a href="org/apache/nutch/webui/service/CrawlService.html" title="interface in org.apache.nutch.webui.service">CrawlService</a> crawlService</pre>
</li>
<li class="blockList">
<h4>crawlsTable</h4>
<pre>org.apache.wicket.markup.html.WebMarkupContainer crawlsTable</pre>
</li>
<li class="blockListLast">
<h4>crawlPanel</h4>
<pre><a href="org/apache/nutch/webui/pages/crawls/CrawlPanel.html" title="class in org.apache.nutch.webui.pages.crawls">CrawlPanel</a> crawlPanel</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages.instances</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.instances.InstancePanel">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/instances/InstancePanel.html" title="class in org.apache.nutch.webui.pages.instances">org.apache.nutch.webui.pages.instances.InstancePanel</a> extends de.agilecoders.wicket.core.markup.html.bootstrap.dialog.Modal implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>form</h4>
<pre>de.agilecoders.wicket.core.markup.html.bootstrap.form.BootstrapForm&lt;T&gt; form</pre>
</li>
<li class="blockList">
<h4>notificationPanel</h4>
<pre>de.agilecoders.wicket.core.markup.html.bootstrap.common.NotificationPanel notificationPanel</pre>
</li>
<li class="blockListLast">
<h4>instanceService</h4>
<pre><a href="org/apache/nutch/webui/service/NutchInstanceService.html" title="interface in org.apache.nutch.webui.service">NutchInstanceService</a> instanceService</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.instances.InstancesPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/instances/InstancesPage.html" title="class in org.apache.nutch.webui.pages.instances">org.apache.nutch.webui.pages.instances.InstancesPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html?is-external=true" title="class or interface in java.lang">Void</a>&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>instanceService</h4>
<pre><a href="org/apache/nutch/webui/service/NutchInstanceService.html" title="interface in org.apache.nutch.webui.service">NutchInstanceService</a> instanceService</pre>
</li>
<li class="blockList">
<h4>instancePanel</h4>
<pre><a href="org/apache/nutch/webui/pages/instances/InstancePanel.html" title="class in org.apache.nutch.webui.pages.instances">InstancePanel</a> instancePanel</pre>
</li>
<li class="blockListLast">
<h4>instancesTable</h4>
<pre>org.apache.wicket.markup.html.WebMarkupContainer instancesTable</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages.menu</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.menu.VerticalMenu">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/menu/VerticalMenu.html" title="class in org.apache.nutch.webui.pages.menu">org.apache.nutch.webui.pages.menu.VerticalMenu</a> extends de.agilecoders.wicket.core.markup.html.bootstrap.navbar.Navbar implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages.seed</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.seed.SeedListsPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/seed/SeedListsPage.html" title="class in org.apache.nutch.webui.pages.seed">org.apache.nutch.webui.pages.seed.SeedListsPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html?is-external=true" title="class or interface in java.lang">Void</a>&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>seedListService</h4>
<pre><a href="org/apache/nutch/webui/service/SeedListService.html" title="interface in org.apache.nutch.webui.service">SeedListService</a> seedListService</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.seed.SeedPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/seed/SeedPage.html" title="class in org.apache.nutch.webui.pages.seed">org.apache.nutch.webui.pages.seed.SeedPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a>&lt;<a href="org/apache/nutch/webui/model/SeedList.html" title="class in org.apache.nutch.webui.model">SeedList</a>&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>seedListService</h4>
<pre><a href="org/apache/nutch/webui/service/SeedListService.html" title="interface in org.apache.nutch.webui.service">SeedListService</a> seedListService</pre>
</li>
<li class="blockList">
<h4>urlForm</h4>
<pre>org.apache.wicket.markup.html.form.Form&lt;T&gt; urlForm</pre>
</li>
<li class="blockListLast">
<h4>seedUrlsTable</h4>
<pre>org.apache.wicket.markup.html.WebMarkupContainer seedUrlsTable</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.nutch.webui.pages.settings</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.pages.settings.SettingsPage">
<!--   -->
</a>
<h3>Class <a href="org/apache/nutch/webui/pages/settings/SettingsPage.html" title="class in org.apache.nutch.webui.pages.settings">org.apache.nutch.webui.pages.settings.SettingsPage</a> extends <a href="org/apache/nutch/webui/pages/AbstractBasePage.html" title="class in org.apache.nutch.webui.pages">AbstractBasePage</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html?is-external=true" title="class or interface in java.lang">Void</a>&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>nutchService</h4>
<pre><a href="org/apache/nutch/webui/service/NutchService.html" title="interface in org.apache.nutch.webui.service">NutchService</a> nutchService</pre>
</li>
<li class="blockListLast">
<h4>settingsTable</h4>
<pre>org.apache.wicket.markup.html.WebMarkupContainer settingsTable</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
